Package io.jmix.dynmodelflowui.view
Class DynamicModelSettingsView.EditorStateUrlQueryParametersBinder
java.lang.Object
io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
io.jmix.dynmodelflowui.view.DynamicModelSettingsView.EditorStateUrlQueryParametersBinder
- All Implemented Interfaces:
UrlQueryParametersFacet.Binder
- Enclosing class:
DynamicModelSettingsView
protected class DynamicModelSettingsView.EditorStateUrlQueryParametersBinder
extends AbstractUrlQueryParametersBinder
Reflects the editor mode and active tab in the URL query parameters and restores them when the
view is (re)opened with a deep link. See spec ยง "URL State Binding".
-
Field Summary
Fields inherited from class io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
id -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescription@Nullable com.vaadin.flow.component.ComponentReturns the component associated with this binder.protected voidvoidupdateState(com.vaadin.flow.router.QueryParameters queryParameters) Informs query parameters binder that view query parameters has been changed.Methods inherited from class io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
addUrlQueryParametersChangeListener, fireQueryParametersChanged, getEventBus, getId, getOwnerId, setId
-
Constructor Details
-
EditorStateUrlQueryParametersBinder
protected EditorStateUrlQueryParametersBinder()
-
-
Method Details
-
updateState
public void updateState(com.vaadin.flow.router.QueryParameters queryParameters) Description copied from interface:UrlQueryParametersFacet.BinderInforms query parameters binder that view query parameters has been changed.- Parameters:
queryParameters- a view query parameters
-
getComponent
public @Nullable com.vaadin.flow.component.Component getComponent()Description copied from class:AbstractUrlQueryParametersBinderReturns the component associated with this binder.- Specified by:
getComponentin classAbstractUrlQueryParametersBinder- Returns:
- the component instance if available, or
nullif no component is associated
-
publishState
protected void publishState()
-